<?php
/*
 * Inserts JS and CSS files.
 */
defined( 'ABSPATH' ) || exit;

/**
 * Inserts dependencies and custom CSS for Frontend Form settings.
 *
 * @since 1.0.0
 *
 * @param string $hook The current admin page.
 */
add_action( 'admin_enqueue_scripts', 'it_acfforms_admin_enqueue' );
function it_acfforms_admin_enqueue( $hook ) {
	if ( 'settings_page_it_acfforms_settings' === $hook ) {

		wp_enqueue_script( 'postbox' );

		acf_enqueue_scripts();

		wp_register_style(
			'it_acfforms_admin_css',
			IT_ACFFORMS_URL .'admin/css/style.css',
			array(),
			get_plugin_data( IT_ACFFORMS_FILE )['Version']
		);
		wp_enqueue_style( 'it_acfforms_admin_css' );
	}
}

/**
 * Adds JS to open / close the metaboxes on settings page.
 *
 * @since 1.0.0
 */
add_action( 'admin_footer-settings_page_it_acfforms_settings', 'it_acfforms_metaboxes_script' );
function it_acfforms_metaboxes_script() {
	?>
	<script>
	jQuery(document).ready(function(){
		postboxes.add_postbox_toggles( pagenow );
	});
	</script>
	<?php
}
