<?php
/*
 * Adds settings field related to `rua` access levels in settings.
 *
 * In this example, the access levels of the "Restrict User Access" extension
 * are presented in a selection menu.
 *
 * @param array  $fieds     ACF fields to add. Default empty array.
 *                          See ACF function acf_validate_field for information
 *                          on accepted args.
 * @param string $post_type The Post Type.
 *
 * @return array ACF field to add.
 */
function itopie_rua_level_settings_fields( $fields, $post_type ) {
	$fields['rua'] = array(
		'type'         => 'select',
		'label'        => esc_html__( 'RUA Access level', 'it-acfforms' ),
		'choices'      => array_column( get_posts( array( 'post_type' => 'restriction' ) ), 'post_title', 'ID' ),
	);
	return $fields;
}
add_action( 'it_acfforms_rua_level_settings_fields', 'itopie_rua_level_settings_fields', 10, 2 );

