<?php
defined( 'ABSPATH' ) || exit;
?>

<h4><?php esc_html_e( 'Enpoint editing', 'it-acfforms' ); ?></h4>

<p><?php printf(
	/* translators: it_acfforms_edit in a code tag */
	esc_html__( 'The frontend form is displayed when the %s endpoint is added to the permalink. It can be activated/deactivated by Post type.', 'it-acfforms' ),
	'<code>it_acfforms_edit</code>',
); ?></p>

<p class="description"><?php printf(
	/* translators: %s: Link to permalink settings */
	esc_html__( 'If you get a 404 error when accessing the form via the endpoint after activating it, saving the %s may solve the problem.', 'it-acfforms' ),
	'<a href="'. get_admin_url( null, 'options-permalink.php' ) .'">'. esc_html__( 'Permalink Settings', 'it-acfforms' ) .'</a>'
); ?></p>

<h4><?php esc_html_e( 'Examples', 'it-acfforms' ); ?></h4>

<ul class="ul-disc">
	<li><?php printf(
		/* translators: %s: Example of a URL in a code tag */
		esc_html__( 'To modify an "album" published under the "post-123" slug, go to the URL: %s.', 'it-acfforms' ),
		'<code>'. get_home_url( null, 'album/post-123/it_acfforms_edit' ) .'</code>'
	); ?></li>

	<li><?php printf(
		/* translators: %s: Example of a URL in a code tag */
		esc_html__( 'To modify an unpublished "album" with ID 123, go to the URL : %s.', 'it-acfforms' ),
		'<code>'. get_home_url( null, '?post_type=album&p=123&it_acfforms_edit' ) .'</code>'
	); ?></li>
</ul>

<h4><?php esc_html_e( 'Link to edit via the frontend form', 'it-acfforms' ); ?></h4>

<p><?php printf(
	/* translators: %s: Label of the field (Return endpoint link instead of edit link) */
	esc_html__( 'By default, if the endpoint is active, the editing links visible on the site (e.g. those in the top bar) will lead to the frontend form. Uncheck "%s" to disable link rewriting.', 'it-acfforms' ),
	esc_html__( 'Return endpoint link instead of edit link', 'it-acfforms' )

); ?></p>

<p><?php printf(
	/* translators: %s: function in code tage */
	esc_html__( 'The %s function can be inserted in templates to return the edit link of the current Post via the endpoint.', 'it-acfforms' ),
	'<code>it_acfforms_get_endpoint_url()</code>'
); ?></p>
