<?php
defined( 'ABSPATH' ) || exit;
?>

<h3><?php esc_html_e( 'Excluded Post ype', 'it-acfforms' ); ?></h3>
<p><?php printf(
	/* translators: %s: it_acfforms_get_excluded_types filter in <code> tag */
	esc_html__( 'The %s filter lets you modify the excluded types.', 'it-acfforms' ),
	'<code>it_acfforms_excluded_types</code>'
); ?></p>
<div class="it-acfforms-code">
<?php highlight_file( 'acfforms_excluded_types.phps' ); ?>
</div>

<h3><?php esc_html_e( 'Labels for default Post property fields', 'it-acfforms' ); ?></h3>

<p><?php esc_html_e( 'Labels of default publication property fields can be modified with these filters.', 'it-acfforms' ); ?></p>

<div class="it-acfforms-code">
<?php highlight_file( 'acfforms_label.phps' ); ?>
</div>

<h4><?php esc_html_e( 'Arguments', 'it-acfforms' ); ?></h4>

<ul class="ul-disc">
	<li><?php printf(
		/* translators: %s: $label in <code> tag */
		esc_html__( '%s The field label', 'it-acfforms' ),
		'<code>$label</code>'
	); ?></li>
	<li><?php printf(
		/* translators: %s: $post_type <code> tag */
		esc_html__( '%s The Post Type', 'it-acfforms' ),
		'<code>$post_type</code>'
	); ?></li>
</ul>

<h4><?php esc_html_e( 'Filters', 'it-acfforms' ); ?></h4>

<ul class="ul-disc">
	<li><?php printf(
		/* translators: %s: filter in code tag */
		esc_html__( '%s to modify the title label', 'it-acfforms' ),
		'<code>it_acfforms_title_label( $label, $post_type )</code>'
	); ?></li>
	<li><?php printf(
		/* translators: %s: filter in code tag */
		esc_html__( '%s to modify the change permalink label', 'it-acfforms' ),
		'<code>it_acfforms_slug_label( $label, $post_type )</code>'
	); ?></li>
	<li><?php printf(
		/* translators: %s: filter in code tag */
		esc_html__( '%s to modify the Featured Image label', 'it-acfforms' ),
		'<code>it_acfforms_thumbnail_label( $label, $post_type )</code>'
	); ?></li>
	<li><?php printf(
		/* translators: %s: filter in code tag */
		esc_html__( '%s to modify the Excerpt label', 'it-acfforms' ),
		'<code>it_acfforms_excerpt_label( $label, $post_type )</code>'
	); ?></li>
	<li><?php printf(
		/* translators: %s: filter in code tag */
		esc_html__( '%s to modify the Post content label', 'it-acfforms' ),
		'<code>it_acfforms_editor_label( $label, $post_type )</code>'
	); ?></li>
	<li><?php printf(
		/* translators: %s: filter in code tag */
		esc_html__( '%s to modify the Publication Status label', 'it-acfforms' ),
		'<code>it_acfforms_status_label( $label, $post_type )</code>'
	); ?></li>
	<li><?php printf(
		/* translators: %s: filter in code tag */
		esc_html__( '%s to modify the Publication date label', 'it-acfforms' ),
		'<code>it_acfforms_date_label( $label, $post_type )</code>'
	); ?></li>
</ul>

<h3><?php esc_html_e( 'Custom access levels', 'it-acfforms' ); ?></h3>

<h4><?php esc_html_e( 'Add access levels', 'it-acfforms' ); ?></h4>

<p><?php printf(
	/* translators: 1: it_acfforms_add_custom_level filter in code tag 2: setting label for Additional access rights */
	esc_html__( 'The %1$s filter lets to add access levels to the "%2$s" selection menu.', 'it-acfforms' ),
	'<code>it_acfforms_custom_levels</code>',
	esc_html__( 'Additional access rights', 'it-acfforms' ),
); ?></p>
<p><?php printf(
	esc_html__( 'The custom access level key, such as %s in the second example below, will be used as a dynamic part of filters to add setting fields or test access rights for each level.', 'it-acfforms' ),
	'<code>rua</code>'
); ?></p>
<p><?php esc_html_e( 'If several access levels are added with the same key, the last level added overwrites the previous ones.', 'it-acfforms' ); ?></p>
<div class="it-acfforms-code">
<?php highlight_file( 'acfforms_custom_levels.phps' ); ?>
</div>

<h4><?php esc_html_e( 'Custom access level settings', 'it-acfforms' ); ?></h4>
<p><?php printf(
	/* translators: %s: it_acfforms_{$level}_settings_fields in code tage */
	esc_html__( 'The %s filter lets to add fields related to custom access levels in the settings.', 'it-acfforms' ),
	'<code>it_acfforms_{$level}_settings_fields</code>',
); ?></p>
<p><?php printf(
	esc_html__( 'The dynamic part of the hook name, %1$s, refers to the level key, e.g. %2$s.', 'it-acfforms' ),
	'<code>$level</code>',
	'<code>rua</code>'
)
; ?></p>
<p><?php printf(
	/* translators: %s: reserved keys list */
	esc_html__( 'Settings added with a key that already exists in the plugin settings are ignored (%s).', 'it-acfforms' ),
	implode( ', ', array_keys( it_acfforms_get_default_settings( 'post-type' ) ) )
); ?></p>
<p><?php esc_html_e( 'If several custom fields are added with the same key, the last field added overwrites the previous ones.', 'it-acfforms' ); ?></p>
<div class="it-acfforms-code">
<?php highlight_file( 'acfforms_level_settings_fields.phps' ); ?>
</div>


<h4><?php esc_html_e( 'Test custom access levels', 'it-acfforms' ); ?></h4>
<p><?php printf(
	/* translators: %s: it_acfforms_user_has_{$level}_level in code tag */
	esc_html__( 'If a custom access level is added, the %s filter should be used to test form access right.', 'it-acfforms' ),
	'<code>it_acfforms_user_has_{$level}_level</code>',
); ?></p>
<p><?php printf(
	esc_html__( 'The dynamic part of the hook name, %1$s, refers to the level key, e.g. %2$s.', 'it-acfforms' ),
	'<code>$level</code>',
	'<code>rua</code>'
)
; ?></p>
<div class="it-acfforms-code">
<?php highlight_file( 'acfforms_user_has_level.phps' ); ?>
</div>

<h3><?php esc_html_e( 'Acting after post data is saved', 'it-acfforms' ); ?></h3>

<p><?php printf(
	/* translators: %s: it_acfforms_after_save_post in code tag */
	esc_html__( 'The %s action can be used to act after the plugin has saved the data.', 'it-acfforms' ),
	'<code>it_acfforms_after_save_post</code>',
); ?></p>

<div class="it-acfforms-code">
<?php //@todo ?>
</div>
