<?php
defined( 'ABSPATH' ) || exit;
?>

<h4><?php esc_html_e( 'General information', 'it-acfforms' ); ?></h4>

<ul class="ul-disc">
	<li><?php printf(
		/* translators: %s: ACF tab title (Frontend Form) */
		esc_html__( 'By default, publication types and ACF field groups can be used with the frontend form if they are active. Form deactivation is possible on a case-by-case basis (see details below).', 'it-acfforms' ),
		esc_html__( 'Frontend Form', 'it-acfforms' )
	); ?></li>
	<li><?php printf(
		/* translators: %s: it_acfforms_get_excluded_types filter in code tag */
		esc_html__( 'Pages, media and products (WooCommerce) are excluded by default. The %1$s filter lets you modify the excluded types, see the "%2$s" help tab for more information.', 'it-acfforms' ),
		'<code>it_acfforms_excluded_types</code>',
		esc_html__( 'Available filters', 'it-acfforms' )
	); ?></li>
	<li><?php esc_html_e( 'The form is displayed even if no ACF field group is active, but not if title and content are also disabled.', 'it-acfforms' ); ?></li>
	<li><?php esc_html_e( 'When the frontend form is used to update an existing Post, it is not checked whether it is already being edited by another user.', 'it-acfforms' ); ?></li>
	<li><?php esc_html_e( 'Frontend form settings have no effect on WordPress admin, unless otherwise specifically mentioned (media requests).', 'it-acfforms' ); ?></li>
	<li><?php esc_html_e( 'Compatible with Search and Filter. The S&F cache is updated after submission with frontend Form.', 'it-acfforms' ); ?></li>
</ul>

<h4><?php esc_html_e( 'Post Types', 'it-acfforms' ); ?></h4>
<p><?php esc_html_e( 'The shortcode and endpoint can be activated/deactivated by Post type. If both features are inactive, the frontend form is inactive for the type.', 'it-acfforms' ); ?></p>

<p><?php printf(
	/* translators: %s: Settings by Post Type */
	esc_html__( 'Other options are available to customize access rights, publishing properties and behavior after submission of the form (see "%s" help section).', 'it-acfforms' ),
	esc_html__( 'Settings by Post Type', 'it-acfforms' )
); ?></p>

<h4><?php esc_html_e( 'ACF Field Groups', 'it-acfforms' ); ?></h4>
<p><?php printf(
	/* translators: 1: ACF tab title (Frontend Form) 2: Link to ACF fields groups */
	esc_html__( 'A field group is activated on the frontend form in the "%1$s" tab of %2$s.', 'it-acfforms' ),
	esc_html__( 'Frontend Form', 'it-acfforms' ),
	'<a href="'. get_admin_url( null, 'edit.php?post_type=acf-field-group' ) .'">'. esc_html__( 'Field Group', 'it-acfforms' ) .'</a>'
); ?></p>

<p><?php esc_html_e( 'Only active field groups ("Group settings" tab) can be loaded onto the frontend form. Field groups are loaded according to the same rules as in admin ("Location rules" tab).', 'it-acfforms' ); ?></p>

<p><?php esc_html_e( 'It’s possible to create several Fields Groups for the same Post Type and activate only some of them on the frontend form.', 'it-acfforms' ); ?></p>
