<?php
defined( 'ABSPATH' ) || exit;
?>
<h4><?php esc_html_e( 'Limit media to those of the author', 'it-acfforms' ); ?></h4>

<p>
<?php printf(
	/* translators: %s: ACF tab title (Frontend Form) */
	esc_html__( 'The "%s" tab for the Image, Gallery (ACF Pro) and ACF File field types has an option to restrict media access to those of the current user.', 'it-acfforms' ),
	esc_html__( 'Private media', 'it-acfforms' )
); ?>
	<span style="font-weight: 500;"><?php esc_html_e( 'This not only affects the frontend form, but also the admin.', 'it-acfforms' ); ?></span>
</p>

<p><?php esc_html_e( 'It does not affect people with the editor or administrator role.', 'it-acfforms' ); ?></p>

<p class="description">
	<?php _e ( 'This option can be used with or without enabling the ACF option to limit access to media attached to the Post (which also acts in WordPress admin).', 'it-acfforms' ); ?>
</p>

<h4><?php esc_html_e( 'Access to the media library', 'it-acfforms' ); ?></h4>

<p><?php printf(
	/* translators: %s: Link to WP role and cap documentation */
	esc_html__( 'The capability to use the media library is reserved by default for accounts with at least the Author role (see %s).', 'it-acfforms' ),
	'<a href="https://wordpress.org/documentation/article/roles-and-capabilities/#upload_files" target="_blank">'. esc_html__( 'WordPress documentation', 'it-acfforms' ) .'</a>'
); ?></p>

<p><?php printf(
	/* translators: 1: Advanced Custom Field, 2: upload_files */
	esc_html__('%1$s takes this into account for the Image and File field types: if the person using the form does not have the required "%2$s" capability, they can upload a file via a basic field, without access to the media library.', 'it-acfforms' ),
	'Advanced Custom Field',
	'upload_files'
); ?></p>

<p><?php esc_html_e( 'The Gallery field type (ACF Pro), on the other hand, does not adjust according to capabilities and therefore cannot work if the person does not have this capability.', 'it-acfforms' ); ?></p>

<p><em><?php esc_html_e( 'To prevent malfunctions, gallery fields are deactivated on the frontend form when the required capability is not provided.', 'it-acfforms' ); ?></em></p>

<p><?php printf(
	/* translators: %s: upload_files */
	esc_html__( 'This means that to enable the gallery field to be used by contributors or subscribers (roles), the "%s" capability will have to be granted accordingly, which can be done by a dedicated extension.', 'it-acfforms' ),
	'upload_files'
); ?></p>
