<?php
defined( 'ABSPATH' ) || exit;
?>

<h4><?php esc_html_e( 'Default access rights', 'it-acfforms' ); ?></h4>

<p><?php esc_html_e( 'In all cases, the frontend form is accessible according to the capabilities of the logged-in person. These are the same capabilities as in WordPress admin.', 'it-acfforms' ); ?></p>

<p class="description"><?php esc_html_e( 'The capabilities associated with custom types are generally the same by default as for type "Post". Authorized roles may differ, however, if the type is created with different capabilities, and/or if role capabilities have been modified.', 'it-acfforms' ); ?></p>

<p><?php esc_html_e( 'Additional rights can be granted to allow use of the frontend form:', 'it-acfforms' ); ?></p>

<ul class="ul-disc">
	<li>
		<?php printf(
			/* translators: 1: option label 2: conditional field label */
			esc_html__( '%1$s : the selected capability under "%2$s" is sufficient.', 'it-acfforms' ),
			'<strong>'. esc_html__( 'According to a custom capability', 'it-acfforms' ) .'</strong>',
			esc_html__( 'Required capability', 'it-acfforms' )
		); ?>
	</li>
	<li>
		<?php printf(
			/* translators: 1: option label 2: conditional field label */
			esc_html__( '%1$s: the selected role unser "%2$s" is sufficient.', 'it-acfforms' ),
			'<strong>'. esc_html__( 'According to a role', 'it-acfforms' ) .'</strong>',
			esc_html__( 'Required role', 'it-acfforms' )
		); ?>
		<em><?php esc_html_e( 'Permission-based is recommended over role-based.', 'it-acfforms' ); ?></em>
	</li>
	<li>
		<strong><?php esc_html_e( 'Anyone who is logged in', 'it-acfforms' ); ?></strong>
	</li>
	<li>
		<?php printf(
			/* translators: %s: option label */
			esc_html__( '%s: it’s not necessary to log in to create Posts.', 'it-acfforms' ),
			'<strong>'. esc_html__( 'Everyone', 'it-acfforms' ) .'</strong>'
		); ?>
		<em><?php esc_html_e( 'Warning: may generate spam.', 'it-acfforms' ); ?></em>
	</li>
</ul>

<p><?php printf(
	/* translators: %s: Label of the option */
	esc_html__( 'To grant no additional rights, select the first option "%s".', 'it-acfforms' ),
	esc_html__( 'According to default capabilities', 'it-acfforms' )
); ?></p>

<h4><?php esc_html_e( 'Custom access levels', 'it-acfforms' ); ?></h4>

<p><?php printf(
	/* translators: 1: it_acfforms_add_custom_level filter in code tag 2: setting label for Additional access rights */
	esc_html__( 'The %1$s filter lets to add access levels to the "%2$s" selection menu. See the "%3$s" help tab for more information.', 'it-acfforms' ),
	'<code>it_acfforms_custom_levels</code>',
	esc_html__( 'Additional access rights', 'it-acfforms' ),
	esc_html__( 'Available filters', 'it-acfforms' )
); ?></p>

<h4><?php esc_html_e( 'Published status or other author', 'it-acfforms' ); ?></h4>

<p><?php esc_html_e( 'By default, the capability to update a Post may not be granted, even if the capability to create one is. This depends on the role of the connected person, the author and the Post status, according to the same logic as in WordPress admin.', 'it-acfforms' ); ?></p>

<p><?php printf(
	esc_html__( 'This default operation can be modified using two options, and concerns all persons meeting the criterion selected under "%s":', 'it-acfforms' ),
	esc_html__( 'Additional access rights', 'it-acfforms' )
); ?></p>
<ul class="ul-disc">
	<li><?php esc_html_e( 'Allow editing of published Posts', 'it-acfforms' ); ?></li>
	<li><?php esc_html_e( 'Allow non-authors to edit Posts', 'it-acfforms' ); ?></li>
</ul>

<p class="description"><?php printf(
	/* translators: 1: edit_published_posts in code tag 2: Link to WordPress doc  */
	esc_html__( 'The capability to modify a published Post (permission %1$s of the type) or another author’s Post (permission %2$s of the type) is by default reserved for certain roles (see %3$s). If related setting is checked, capability will not be tested.', 'it-acfforms' ),
	'<code>edit_published_posts</code>',
	'<code>edit_others_posts</code>',
	'<a href="https://wordpress.org/documentation/article/roles-and-capabilities" target="_blank">'. esc_html__( 'Roles and Capabilities', 'it-acfforms' ) .'</a>'
); ?></p>
