<?php
defined( 'ABSPATH' ) || exit;
?>
<h4><?php esc_html_e( 'Redirection after submission', 'it-acfforms' ); ?></h4>

<p><?php esc_html_e( 'If not specified, redirection after submission is to, in order:', 'it-acfforms' ); ?></p>

<ul class="ul-disc">
	<li><?php esc_html_e( 'the Post if the person is allowed to see it', 'it-acfforms' ); ?></li>
	<li><?php esc_html_e( 'if not, the archive page if it exists', 'it-acfforms' ); ?></li>
	<li><?php esc_html_e( 'the home page in all other cases', 'it-acfforms' ); ?></li>
</ul>

<h4><?php esc_html_e( 'Feedback after submission', 'it-acfforms' ); ?></h4>

<p><?php esc_html_e( 'If the redirection takes place on the site, the feedback defined in the Post Type settings will be displayed. If not specified:', 'it-acfforms' ); ?></p>

<ul class="ul-disc">
	<li><?php printf(
		/* translators: %s: translated default feedback */
		esc_html__( 'after creation: %s', 'it-acfforms' ),
		'<em>'. $default['create-feedback'] .'</em>'
	); ?></li>
	<li><?php printf(
		/* translators: %s: translated default feedback */
		esc_html__( 'after update: %s', 'it-acfforms' ),
		'<em>'. $default['update-feedback'] .'</em>'
	); ?></li>
</ul>

<h5><?php esc_html_e( 'Substitute variables available', 'it-acfforms' ); ?></h5>
<ul class="ul-disc">
	<li><?php printf(
	/* translators: %s: display_name in code tag */
	esc_html__( '%s: the Post status', 'it-acfforms' ),
	'<code>%post_status%</code>'
	); ?>
	</li>
	<li><?php printf(
	/* translators: %s: user_id in code tag  */
	esc_html__( '%s: the publication date in site Date Format', 'it-acfforms' ),
	'<code>%post_date%</code>'
	); ?>
	</li>
</ul>
