<?php
defined( 'ABSPATH' ) || exit;
?>

<h4><?php esc_html_e( 'Shortcode editing', 'it-acfforms' ); ?></h4>

<p><?php printf(
	/* translators: %s: [it-acf-form] in a code tag */
	esc_html__( 'The shortcode %s displays the creation/edition form on the site. It can be activated/deactivated by Post type.', 'it-acfforms' ),
	'<code>[it-acf-form]</code>'
); ?></p>

<h4><?php esc_html_e( 'Shortcode locations', 'it-acfforms' ); ?></h4>

<p class="description"><?php esc_html_e( 'This setting is only usefull if shortcodes are used and is optional.', 'it-acfforms' ); ?></p>

<p><?php esc_html_e( 'This setting prevents ACF dependencies from being loaded site-wide, by indicating, separated by commas, the Post IDs where the shortcode is used.', 'it-acfforms' ); ?></p>

<p><?php esc_html_e( 'If IDs are specified, ACF dependencies will only be loaded on the listed items. Otherwise they will be loaded on the site-wide, to ensure that the shortcode works properly.', 'it-acfforms' ); ?></p>

<h4><?php esc_html_e( 'Shortcode attributes', 'it-acfforms' ); ?></h4>

<ul class="ul-disc">
	<li><?php printf(
		/* translators: %s: post_type in a code tag */
		esc_html__( '%s Post Type', 'it-acfforms' ),
		'<code>post_type</code>'
	); ?></li>
	<li><?php printf(
		/* translators: 1: post_id in a code tag 2: new_post */
		esc_html__( '%1$s Post ID or "%2$s" to create a new Post', 'it-acfforms' ),
		'<code>post_id</code>',
		'new_post'
	);?></li>
	<li><?php printf(
		/* translators: %s: redirect in a code tag */
		esc_html__( '%s Redirect URL after submission', 'it-acfforms' ),
		'<code>redirect</code>'
	); ?></li>
</ul>

<p><?php printf(
	esc_html__( 'Attributes are optional. If "%1$s" or "%2$s" aren’t specified, the current Post is used. If "%3$s" isn’t specified, redirection after submission is to, in order:', 'it-acfforms' ),
	'post_type',
	'post_id',
	'redirect'
); ?></p>

<ul class="ul-disc">
	<li><?php esc_html_e( 'the Post if the person is allowed to see it', 'it-acfforms' ); ?></li>
	<li><?php esc_html_e( 'if not, the archive page if it exists', 'it-acfforms' ); ?></li>
	<li><?php esc_html_e( 'the home page in all other cases', 'it-acfforms' ); ?></li>
</ul>

<h4><?php esc_html_e( 'Examples', 'it-acfforms' ); ?></h4>

<ul class="ul-disc">
	<li><?php printf(
		/* translators: %s: Example of shortcode in a code tag */
		esc_html__( 'To create a new "album", use this shortcode: %s', 'it-acfforms' ),
		'<br><code>[it-acf-form post_type="album" post_id="new_post"]</code>'
	); ?></li>

	<li><?php printf(
		/* translators: %s: Example of shortcode in a code tag */
		esc_html__( 'To modify an "album", insert this shortcode into the album content: %s', 'it-acfforms' ),
		'<br><code>[it-acf-form]</code>'
	); ?></li>
</ul>
